include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### fli_common (static)

tde_add_library( fli_common STATIC_PIC

  SOURCES
        libfli.c
        libfli-camera.c
        libfli-camera-parport.c
        libfli-camera-usb.c
        libfli-filter-focuser.c
        libfli-mem.c
        libfli-serial.c
        libfli-sys.c
        libfli-usb.c
        libfli-debug.c
)


##### $(libfli_linux) (static)

if( OS_Linux )

tde_add_library( fli_linux STATIC_PIC

  SOURCES
        libfli-parport.c
        libfli-usb-sys-linux.c 
)

endif()


##### fli_bsd (static)

if( OS_BSD )

tde_add_library( fli_bsd STATIC_PIC

  SOURCES
        libfli-usb-sys-bsd.c 
)

endif()


##### fli_null (static)

if( OS_UNKNOWN )

tde_add_library( fli_null STATIC_PIC

  SOURCES
        libfli-usb-sys-null.c 
)

endif()
